<?php
namespace Geral\Logic\AlmoxarifadoLocalizacao;

use Geral\Entities\Almoxarifado;
use Geral\Entities\Localestoque;
use Geral\Util\TratamentoDeMensagens;

/**
 * Created by PhpStorm.
 * User: victornovy
 * Date: 07/11/2014
 * Time: 11:33
 */

class AlmoxarifadoLocalizacao {

    public static function updateIddispconped($filial, $almoxarifado, $organizacao, $iddispconped)
    {
        try {
            /** @var Localestoque $local */
            $localEstoque = Localestoque::findByCdfilialAndCdalmoxarifeAndNrorg($filial, $almoxarifado, $organizacao);
            foreach ($localEstoque as $local) {
                $local->setIddispconped($iddispconped);
                $local->persist();
                \Setforms2\Shared\Registry::getEntityManager()->flush();
            }
        } catch (\Exception $e) {
            TratamentoDeMensagens::exibirMensagens($e, true);
        }
    }

    public static function deleteAlmoxarifado($filial, $almoxarifado, $organizacao)
    {
        try {
            /** @var Localestoque $local */
            $localEstoque = Localestoque::findByCdfilialAndCdalmoxarifeAndNrorg($filial, $almoxarifado, $organizacao);
            foreach ($localEstoque as $local) {
                $local->delete();
                \Setforms2\Shared\Registry::getEntityManager()->flush();
            }
            /** @var Almoxarifado $almox */
            $almox = Almoxarifado::findOneByCdfilialAndCdalmoxarifeAndNrorg($filial, $almoxarifado, $organizacao);
            $almox->delete();
            \Setforms2\Shared\Registry::getEntityManager()->flush();
        } catch (\Exception $e) {
            tk_abort('Existem restrições na base de dados que impedem a exclusão do almoxarifado.');
        }
    }
} 